Quassel IRC - Bug #783

Tab completion on long line puts lineview just before completed word
08/27/2009 02:10 PM - Cybertinus

Status: Resolved Start date: 08/27/2009
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Quassel Client Estimated time: 0.00 hour
Target version: 0.5.0

Version: 0.5-pre 0S: Any
Description

Hello,

Sorry for the very weird and not very useful title, but that is the only way | describe the problem in one sentence :).

The bug:

When you type a long line when you want to say something, and that line doesn't fit in the window, then the line scrolls. When you
want to tab complete a nickname there the tab completion works perfectly, only the view of the typed text changes to show the text
just before the completed word. So you don't see the completed word anymore.

Associated revisions

Revision 72cf394e3d73d9885eabf09c958ea106da72a8c2 - 09/12/2009 09:17 AM - Manuel Nickschas

Ensure cursor is visible after text changes in MultiLineEdit

Fixes #783.

Revision 72cf394e - 09/12/2009 09:17 AM - Manuel Nickschas

Ensure cursor is visible after text changes in MultiLineEdit

Fixes #783.

History

#1 - 09/12/2009 11:44 AM - Sputnick
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset 72cf394e3d73d9885eabf09c958ea106da72a8c2.
